--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/peruser.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/peruser.php	2025-06-27 11:43:39.634996000 +0000
@@ -54,14 +54,19 @@
 
 $disabledefaultvalues = GETPOSTINT('disabledefaultvalues');
 
-$action = GETPOST('action', 'aZ09');
-
 $check_holiday = GETPOSTINT('check_holiday');
 $filter = GETPOST("search_filter", 'alpha', 3) ? GETPOST("search_filter", 'alpha', 3) : GETPOST("filter", 'alpha', 3);
-$filtert = GETPOST("search_filtert", "intcomma", 3) ? GETPOST("search_filtert", "intcomma", 3) : GETPOST("filtert", "intcomma", 3);
+$filtert = GETPOSTINT("search_filtert", 3) ? GETPOSTINT("search_filtert", 3) : GETPOSTINT("filtert", 3);
 $usergroup = GETPOSTINT("search_usergroup", 3) ? GETPOSTINT("search_usergroup", 3) : GETPOSTINT("usergroup", 3);
+//if (! ($usergroup > 0) && ! ($filtert > 0)) $filtert = $user->id;
+//$showbirthday = empty($conf->use_javascript_ajax)?GETPOST("showbirthday","int"):1;
 $showbirthday = getDolGlobalInt('AGENDA_ENABLE_SHOW_BIRTHDAY_PER_USER'); // disabled by default
 
+// If no choice done on calendar owner (like on left menu link "Agenda"), we filter on current user by default.
+/*if (empty($filtert) && !getDolGlobalString('AGENDA_ALL_CALENDARS')) {
+	$filtert = (string) $user->id;
+}*/
+
 $sortfield = GETPOST('sortfield', 'aZ09comma');
 $sortorder = GETPOST('sortorder', 'aZ09comma');
 $page = GETPOSTISSET('pageplusone') ? (GETPOSTINT('pageplusone') - 1) : GETPOSTINT("page");
@@ -86,7 +91,7 @@
 	$socid = '';
 }
 
-$canedit = 1;	// can read events of others
+$canedit = 1;
 if (!$user->hasRight('agenda', 'myactions', 'read')) {
 	accessforbidden();
 }
@@ -97,6 +102,8 @@
 	$filtert = (string) $user->id;
 }
 
+$action = GETPOST('action', 'aZ09');
+
 $mode = 'show_peruser';
 $resourceid = GETPOSTINT("search_resourceid") ? GETPOSTINT("search_resourceid") : GETPOSTINT("resourceid");
 $year = GETPOSTINT("year") ? GETPOSTINT("year") : date("Y");
@@ -126,7 +133,6 @@
 	$year = GETPOSTINT('dateselectyear');
 }
 
-// working hours
 $tmp = getDolGlobalString('MAIN_DEFAULT_WORKING_HOURS', '9-18');
 $tmp = str_replace(' ', '', $tmp); // FIX 7533
 $tmparray = explode('-', $tmp);
@@ -142,7 +148,6 @@
 	$end_h = $begin_h + 1;
 }
 
-// working days
 $tmp = getDolGlobalString('MAIN_DEFAULT_WORKING_DAYS', '1-5');
 $tmp = str_replace(' ', '', $tmp); // FIX 7533
 $tmparray = explode('-', $tmp);
@@ -166,22 +171,19 @@
 	$mode = getDolGlobalString('AGENDA_DEFAULT_VIEW', 'show_peruser');
 }
 
-// View by month
 if (GETPOST('viewcal', 'alpha') && $mode != 'show_day' && $mode != 'show_week' && $mode != 'show_peruser') {
 	$mode = 'show_month';
 	$day = '';
-}
-// View by week
+} // View by month
 if (GETPOST('viewweek', 'alpha') || $mode == 'show_week') {
 	$mode = 'show_week';
 	$week = ($week ? $week : date("W"));
 	$day = ($day ? $day : date("d"));
-}
-// View by day
+} // View by week
 if (GETPOST('viewday', 'alpha') || $mode == 'show_day') {
 	$mode = 'show_day';
 	$day = ($day ? $day : date("d"));
-}
+} // View by day
 
 $object = new ActionComm($db);
 
@@ -333,12 +335,10 @@
 }
 
 $param = '';
-if (($actioncode && $actioncode !== '-1') || GETPOSTISSET('search_actioncode')) {
+if ($actioncode || GETPOSTISSET('search_actioncode')) {
 	if (is_array($actioncode)) {
 		foreach ($actioncode as $str_action) {
-			if ($str_action != '-1') {
-				$param .= "&search_actioncode[]=".urlencode($str_action);
-			}
+			$param .= "&search_actioncode[]=".urlencode($str_action);
 		}
 	} else {
 		$param .= "&search_actioncode=".urlencode($actioncode);
@@ -531,16 +531,16 @@
 
 	$urltocreateaction = DOL_URL_ROOT.'/comm/action/card.php?action=create';
 	$urltocreateaction .= '&apyear='.$tmpforcreatebutton['year'].'&apmonth='.$tmpforcreatebutton['mon'].'&apday='.$tmpforcreatebutton['mday'].'&aphour='.$tmpforcreatebutton['hours'].'&apmin='.$tmpforcreatebutton['minutes'];
-	$urltocreateaction .= '&backtopage='.urlencode($_SERVER["PHP_SELF"].'?'.$newparam);
+	$urltocreateaction .= '&backtopage='.urlencode($_SERVER["PHP_SELF"] . $newparam);
 
 	$newcardbutton .= dolGetButtonTitle($langs->trans("AddAction"), '', 'fa fa-plus-circle', $urltocreateaction);
 }
 
 
-$link = '';
-
 // Define the legend/list of calendard to show
 $s = '';
+$link = '';
+
 
 $showextcals = $listofextcals;
 $bookcalcalendars = array();
@@ -554,7 +554,7 @@
 	$sql .= " WHERE bc.status = 1";
 	$sql .= " AND ba.status = 1";
 	$sql .= " AND bc.entity IN (".getEntity('agenda').")";	// bookcal is a "virtual view" of agenda
-	if (!empty($filtert) && $filtert != '-1' && $filtert != '-2') {
+	if (!empty($filtert) && $filtert != '-1') {
 		$sql .= " AND bc.visibility IN (".$db->sanitize($filtert, 0, 0, 0, 0).")";
 	}
 	$resql = $db->query($sql);
@@ -677,7 +677,7 @@
 $sql .= " a.datep,";
 $sql .= " a.datep2,";
 $sql .= " a.percent,";
-$sql .= " a.fk_user_author, a.fk_user_action,";
+$sql .= " a.fk_user_author,a.fk_user_action,";
 $sql .= " a.transparency, a.priority, a.fulldayevent, a.location,";
 $sql .= " a.fk_soc, a.fk_contact, a.fk_project, a.fk_bookcal_calendar,";
 $sql .= " a.fk_element, a.elementtype,";
@@ -692,16 +692,12 @@
 if ($resourceid > 0) {
 	$sql .= ", ".MAIN_DB_PREFIX."element_resources as r";
 }
-
 // We must filter on assignment table
-if (($filtert != '-1' && $filtert != '-2') || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
+if ($filtert > 0 || $usergroup > 0) {
 	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar";
-	$sql .= " ON ar.fk_actioncomm = a.id AND ar.element_type = 'user'";
-	if ($filtert != '' && $filtert != '-1' && $filtert != '-2'  && $filtert != '-3') {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize($filtert).")";
-	} elseif ($filtert == '-3') {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
+	$sql .= " ON ar.fk_actioncomm = a.id AND ar.element_type='user'";
+	if ($filtert > 0) {
+		$sql .= " AND ar.fk_element = ".((int) $filtert);
 	}
 	if ($usergroup > 0) {
 		$sql .= " INNER JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element AND ugu.fk_usergroup = ".((int) $usergroup);
@@ -710,7 +706,6 @@
 
 $sql .= " WHERE a.fk_action = ca.id";
 $sql .= " AND a.entity IN (".getEntity('agenda').")";	// bookcal is a "virtual view" of agenda
-
 // Condition on actioncode
 if (!empty($actioncode)) {
 	if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
@@ -731,16 +726,9 @@
 			$sql .= " AND ca.type != 'systemauto'";
 		} elseif ($actioncode == 'AC_ALL_AUTO') {
 			$sql .= " AND ca.type = 'systemauto'";
-		} elseif ($actioncode !== '-1' && $actioncode !== '-3') {
+		} elseif (/* !empty($actioncode) && */ $actioncode !== '-1') {
 			if (is_array($actioncode)) {
-				foreach ($actioncode as $key => $val) {
-					if ($val == '-1' || $val == '-2') {
-						unset($actioncode[$key]);
-					}
-				}
-				if (!empty($actioncode)) {
-					$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
-				}
+				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
 			} else {
 				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", explode(',', $actioncode))."'", 1).")";
 			}
@@ -817,13 +805,10 @@
 	$sql .= " AND (a.percent >= 0 AND a.percent < 100)";
 }
 // We must filter on assignment table
-if (($filtert > 0 || $filtert == -3) || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
+if ($filtert > 0 || $usergroup > 0) {
 	$sql .= " AND (";
 	if ($filtert > 0) {
 		$sql .= "ar.fk_element = ".((int) $filtert);
-	} elseif ($filtert == -3) {
-		$sql .= "ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
 	}
 	if ($usergroup > 0) {
 		$sql .= ($filtert > 0 ? " OR " : "")." ugu.fk_usergroup = ".((int) $usergroup);
@@ -1071,8 +1056,8 @@
 	}
 }
 
-// LEAVE-HOLIDAY CALENDAR
 if ($user->hasRight("holiday", "read")) {
+	// LEAVE-HOLIDAY CALENDAR
 	$sql = "SELECT u.rowid as uid, u.lastname, u.firstname, u.statut, x.rowid, x.date_debut as date_start, x.date_fin as date_end, x.halfday, x.statut as status";
 	$sql .= " FROM ".MAIN_DB_PREFIX."holiday as x, ".MAIN_DB_PREFIX."user as u";
 	$sql .= " WHERE u.rowid = x.fk_user";
@@ -1514,7 +1499,6 @@
 // Show div with list of calendars
 print $s;
 
-// Top filters
 print '<div class="liste_titre liste_titre_bydiv centpercent">';
 print_actions_filter($form, $canedit, $search_status, $year, $month, $day, $showbirthday, '', (string) $filtert, '', $pid, $socid, $action, -1, $actioncode, $usergroup, '', $resourceid, $search_categ_cus);
 print '</div>';
@@ -1559,13 +1543,13 @@
 		print $langs->trans("DaysOfWeek").'</span>';
 		print "\n";
 		print '<div class="ui-grid-a  inline-block"><div class="ui-block-a nowraponall">';
-		print '<input type="number" class="shortbis" name="begin_d" value="'.$begin_d.'" min="1" max="7">';
+		print '<input type="number" class="short" name="begin_d" value="'.$begin_d.'" min="1" max="7">';
 		if (empty($conf->dol_use_jmobile)) {
 			print ' - ';
 		} else {
 			print '</div><div class="ui-block-b">';
 		}
-		print '<input type="number" class="shortbis" name="end_d" value="'.$end_d.'" min="1" max="7">';
+		print '<input type="number" class="short" name="end_d" value="'.$end_d.'" min="1" max="7">';
 		print '</div></div>';
 	}
 
@@ -1598,13 +1582,13 @@
 	print $langs->trans("Hours").'</span>';
 	print "\n";
 	print '<div class="ui-grid-a inline-block"><div class="ui-block-a nowraponall">';
-	print '<input type="number" class="shortbis" name="begin_h" value="'.$begin_h.'" min="0" max="23">';
+	print '<input type="number" class="short" name="begin_h" value="'.$begin_h.'" min="0" max="23">';
 	if (empty($conf->dol_use_jmobile)) {
 		print ' - ';
 	} else {
 		print '</div><div class="ui-block-b">';
 	}
-	print '<input type="number" class="shortbis" name="end_h" value="'.$end_h.'" min="1" max="24">';
+	print '<input type="number" class="short" name="end_h" value="'.$end_h.'" min="1" max="24">';
 	if (empty($conf->dol_use_jmobile)) {
 		print ' '.$langs->trans("HourShort");
 	}
@@ -1646,7 +1630,7 @@
 			}
 		}
 	} else {
-		/* Use this list to have lines of all users to show */
+		/* Use this list to have lines for all users */
 		$sql = "SELECT u.rowid, u.lastname as lastname, u.firstname, u.statut, u.login, u.admin, u.entity";
 		$sql .= " FROM ".$db->prefix()."user as u";
 		if (isModEnabled('multicompany') && getDolGlobalInt('MULTICOMPANY_TRANSVERSE_MODE')) {
@@ -1677,13 +1661,6 @@
 			// External users should see only contacts of their company
 			$sql .= " AND u.fk_soc = ".((int) $user->socid);
 		}
-		// Filter on users in hierarchy
-		if (!$canedit || $filtert == '-3') {	// If we can't read event of others
-			if (!$user->hasRight('user', 'user', 'lire') || $filtert == '-3') {
-				$usersInHierarchy = $user->getAllChildIds(1);
-				$sql .= " AND u.rowid IN (".$db->sanitize(implode(',', $usersInHierarchy)).")";
-			}
-		}
 
 		//print $sql;
 		$resql = $db->query($sql);
@@ -2479,7 +2456,7 @@
 			print 'style="background: #'.$color1.'; "';
 		}
 		print 'class="';
-		print $style1.' ';
+		print ($style1 ? $style1.' ' : '');
 		print 'center'.($title1 ? ' classfortooltip' : '').($title1 ? ' cursorpointer' : '').'"';
 		print 'ref="'.$ref1.'_'.$username->id.'_'.sprintf("%04d", $year).'_'.sprintf("%02d", $month).'_'.sprintf("%02d", $day).'_'.sprintf("%02d", $h).'_00_'.($ids1 ? $ids1 : 'none').'"';
 		print ($title1 ? ' title="'.$title1.'"' : '').'>';
@@ -2493,7 +2470,7 @@
 			print 'style="background: #'.$color2.'; "';
 		}
 		print 'class="';
-		print $style2.' ';
+		print ($style2 ? $style2.' ' : '');
 		print 'center'.($title2 ? ' classfortooltip' : '').($title2 ? ' cursorpointer' : '').'"';
 		print ' ref="'.$ref2.'_'.$username->id.'_'.sprintf("%04d", $year).'_'.sprintf("%02d", $month).'_'.sprintf("%02d", $day).'_'.sprintf("%02d", $h).'_15_'.($ids2 ? $ids2 : 'none').'"';
 		print ($title2 ? ' title="'.$title2.'"' : '').'>';
@@ -2507,7 +2484,7 @@
 			print 'style="background: #'.$color3.'; "';
 		}
 		print 'class="';
-		print $style3.' ';
+		print ($style3 ? $style3.' ' : '');
 		print 'center'.($title3 ? ' classfortooltip' : '').($title3 ? ' cursorpointer' : '').'"';
 		print ' ref="'.$ref3.'_'.$username->id.'_'.sprintf("%04d", $year).'_'.sprintf("%02d", $month).'_'.sprintf("%02d", $day).'_'.sprintf("%02d", $h).'_30_'.($ids3 ? $ids3 : 'none').'"';
 		print ($title3 ? ' title="'.$title3.'"' : '').'>';
@@ -2521,7 +2498,7 @@
 			print 'style="background: #'.$color4.'; "';
 		}
 		print 'class="';
-		print $style4.' ';
+		print ($style4 ? $style4.' ' : '');
 		print 'center'.($title4 ? ' classfortooltip' : '').($title4 ? ' cursorpointer' : '').'"';
 		print ' ref="'.$ref4.'_'.$username->id.'_'.sprintf("%04d", $year).'_'.sprintf("%02d", $month).'_'.sprintf("%02d", $day).'_'.sprintf("%02d", $h).'_45_'.($ids4 ? $ids4 : 'none').'"';
 		print ($title4 ? ' title="'.$title4.'"' : '').'>';

########## comm/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/card.php	2025-06-27 11:43:39.604427000 +0000
@@ -81,7 +81,7 @@
  */
 
 // Load translation files required by the page
-$langs->loadLangs(array('companies', 'banks', 'commercial'));
+$langs->loadLangs(array('companies', 'banks'));
 
 if (isModEnabled('contract')) {
 	$langs->load("contracts");

########## comm/mailing/class/advtargetemailing.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/mailing/class/advtargetemailing.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/mailing/class/advtargetemailing.class.php	2025-06-27 11:43:39.644728000 +0000
@@ -641,27 +641,6 @@
 						if ($arrayquery['options_'.$key] > 0) {
 							$sqlwhere[] = " (te.".$key." = ".((int) $arrayquery["options_".$key]).")";
 						}
-					} elseif ($extrafields->attributes[$elementtype]['type'][$key] == 'chkbxlst'
-						&& is_array($arrayquery['options_'.$key])) {
-						if (count($arrayquery['options_'.$key])) {
-							$i2 = 0;
-							$field = "te.".$key;
-							$sqlwhereselllist="";
-							foreach ($arrayquery['options_'.$key] as $data) {
-								$data = trim($data);
-								if ($data) {
-									$sqlwhereselllist .= ($i2 > 0 ? " OR (" : "(").$field." LIKE '".$this->db->escape($data).",%'";
-									$sqlwhereselllist .= " OR ".$field." = '".$this->db->escape($data)."'";
-									$sqlwhereselllist .= " OR ".$field." LIKE '%,".$this->db->escape($data)."'";
-									$sqlwhereselllist .= " OR ".$field." LIKE '%,".$this->db->escape($data).",%'";
-									$sqlwhereselllist .= ")";
-									$i2++; // a criteria for 1 more field was added to string (we can add several criteria for the same field as it is a multiselect search criteria)
-								}
-							}
-							if (!empty($sqlwhereselllist)) {
-								$sqlwhere[] = "( ".$sqlwhereselllist." )";
-							}
-						}
 					} else {
 						if (is_array($arrayquery['options_'.$key])) {
 							$sqlwhere[] = " (te.".$key." IN (".$this->db->sanitize("'".implode("','", $arrayquery["options_".$key])."'", 1)."))";
@@ -805,31 +784,6 @@
 								$sqlwhere[] = " (te.".$key." = ".((int) $arrayquery["options_".$key."_cnct"]).")";
 							}
 						}
-					} elseif ($extrafields->attributes[$elementtype]['type'][$key] == 'link') {
-						if ($arrayquery['options_'.$key."_cnct"] > 0) {
-							$sqlwhere[]= " (te.".$key." = ".((int) $arrayquery["options_".$key."_cnct"]).")";
-						}
-					} elseif ($extrafields->attributes[$elementtype]['type'][$key] == 'chkbxlst'
-						&& is_array($arrayquery['options_'.$key.'_cnct'])) {
-						if (count($arrayquery['options_'.$key.'_cnct'])) {
-							$i2 = 0;
-							$field = "te.".$key;
-							$sqlwhereselllist="";
-							foreach ($arrayquery['options_'.$key.'_cnct'] as $data) {
-								$data = trim($data);
-								if ($data) {
-									$sqlwhereselllist .= ($i2 > 0 ? " OR (" : "(").$field." LIKE '".$this->db->escape($data).",%'";
-									$sqlwhereselllist .= " OR ".$field." = '".$this->db->escape($data)."'";
-									$sqlwhereselllist .= " OR ".$field." LIKE '%,".$this->db->escape($data)."'";
-									$sqlwhereselllist .= " OR ".$field." LIKE '%,".$this->db->escape($data).",%'";
-									$sqlwhereselllist .= ")";
-									$i2++; // a criteria for 1 more field was added to string (we can add several criteria for the same field as it is a multiselect search criteria)
-								}
-							}
-							if (!empty($sqlwhereselllist)) {
-								$sqlwhere[] = "( ".$sqlwhereselllist." )";
-							}
-						}
 					} else {
 						if (is_array($arrayquery['options_'.$key.'_cnct'])) {
 							$sqlwhere[] = " (te.".$key." IN (".$this->db->sanitize("'".implode("','", $arrayquery["options_".$key."_cnct"])."'", 1)."))";
@@ -934,31 +888,6 @@
 								if ($arrayquery['options_'.$key] != '') {
 									$sqlwhere[] = " (tse.".$key." = ".((int) $arrayquery["options_".$key]).")";
 								}
-							} elseif ($extrafields->attributes[$elementtype]['type'][$key] == 'link') {
-								if ($arrayquery['options_'.$key] > 0) {
-									$sqlwhere[]= " (te.".$key." = ".((int) $arrayquery["options_".$key]).")";
-								}
-							} elseif ($extrafields->attributes[$elementtype]['type'][$key] == 'chkbxlst'
-								&& is_array($arrayquery['options_'.$key])) {
-								if (count($arrayquery['options_'.$key])) {
-									$i2 = 0;
-									$field = "tse.".$key;
-									$sqlwhereselllist="";
-									foreach ($arrayquery['options_'.$key] as $data) {
-										$data = trim($data);
-										if ($data) {
-											$sqlwhereselllist  .= ($i2 > 0 ? " OR (" : "(").$field." LIKE '".$this->db->escape($data).",%'";
-											$sqlwhereselllist  .= " OR ".$field." = '".$this->db->escape($data)."'";
-											$sqlwhereselllist  .= " OR ".$field." LIKE '%,".$this->db->escape($data)."'";
-											$sqlwhereselllist  .= " OR ".$field." LIKE '%,".$this->db->escape($data).",%'";
-											$sqlwhereselllist  .= ")";
-											$i2++; // a criteria for 1 more field was added to string (we can add several criteria for the same field as it is a multiselect search criteria)
-										}
-									}
-									if (!empty($sqlwhereselllist)) {
-										$sqlwhere[] = "( ".$sqlwhereselllist." )";
-									}
-								}
 							} else {
 								if (is_array($arrayquery['options_'.$key])) {
 									$sqlwhere[] = " (tse.".$key." IN (".$this->db->sanitize("'".implode("','", $arrayquery["options_".$key])."'", 1)."))";

########## comm/propal/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/propal/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/propal/card.php	2025-06-27 11:43:39.583676000 +0000
@@ -525,7 +525,7 @@
 					$object->contact_id = GETPOSTINT('contactid');
 					$object->fk_project = GETPOSTINT('projectid');
 					$object->model_pdf = GETPOST('model', 'alphanohtml');
-					$object->author = $user; // deprecated
+					$object->author = $user->id; // deprecated
 					$object->user_author_id = $user->id;
 					$object->note_private = GETPOST('note_private', 'restricthtml');
 					$object->note_public = GETPOST('note_public', 'restricthtml');
@@ -555,8 +555,7 @@
 				$object->contact_id = GETPOSTINT('contactid');
 				$object->fk_project = GETPOSTINT('projectid');
 				$object->model_pdf = GETPOST('model');
-				$object->author = $user; // deprecated
-				$object->user_author_id = $user->id;
+				$object->author = $user->id; // deprecated
 				$object->note_private = GETPOST('note_private', 'restricthtml');
 				$object->note_public = GETPOST('note_public', 'restricthtml');
 				$object->fk_incoterms = GETPOSTINT('incoterm_id');

########## comm/propal/class/api_proposals.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/propal/class/api_proposals.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/propal/class/api_proposals.class.php	2025-06-27 11:43:39.590152000 +0000
@@ -193,7 +193,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## comm/propal/class/propal.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/propal/class/propal.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/propal/class/propal.class.php	2025-06-27 11:43:39.593000000 +0000
@@ -197,7 +197,6 @@
 
 	/**
 	 * @var User user identified by user_author_id
-	 * @deprecated Set only $user_author_id
 	 */
 	public $author;
 

########## comm/propal/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/propal/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/propal/list.php	2025-06-27 11:43:39.578813000 +0000
@@ -2382,7 +2382,7 @@
 		// Note public
 		if (!empty($arrayfields['p.note_public']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_public, 5)).'</div>';
+			print dolPrintHTML($obj->note_public);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
@@ -2391,7 +2391,7 @@
 		// Note private
 		if (!empty($arrayfields['p.note_private']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_private, 5)).'</div>';
+			print dolPrintHTML($obj->note_private);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;

########## commande/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/commande/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/commande/card.php	2025-06-27 11:43:39.991603000 +0000
@@ -2978,7 +2978,7 @@
 				print '<table class="nobordernopadding centpercent"><tr><td>';
 				print $form->textwithpicto($langs->trans('PointOfSale'), $langs->trans('POSInfo'));
 				print '</td>';
-				if ($action != 'editposinfo' && $usercancreate) {
+				if ($action != 'editposinfo' && $object->status == $object::STATUS_DRAFT && $usercancreate) {
 					print '<td class="right"><a class="editfielda" href="'.$_SERVER["PHP_SELF"].'?action=editposinfo&token='.newToken().'&id='.$object->id.'">'.img_edit($langs->trans('SetPOSInfo'), 1).'</a></td>';
 				}
 				print '</tr></table>';

########## commande/class/api_orders.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/commande/class/api_orders.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/commande/class/api_orders.class.php	2025-06-27 11:43:39.998045000 +0000
@@ -186,7 +186,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## commande/class/commande.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/commande/class/commande.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/commande/class/commande.class.php	2025-06-27 11:43:40.002622000 +0000
@@ -1068,15 +1068,10 @@
 				for ($i = 0; $i < $num; $i++) {
 					$line = $this->lines[$i];
 
-					// Test and convert into OrderLine object this->lines[$i]. When coming from REST API, we may still have an array
+					// Test and convert into object this->lines[$i]. When coming from REST API, we may still have an array
 					//if (! is_object($line)) $line=json_decode(json_encode($line), false);  // convert recursively array into object.
 					if (!is_object($line)) {
-						$lineobj = new OrderLine($this->db);
-						foreach ($line as $key => $val) {
-							$lineobj->$key = $val;
-						}
-						$line = $lineobj;
-						$this->lines[$i] = $line;
+						$line = (object) $line;
 					}
 
 					// Reset fk_parent_line for no child products and special product
@@ -1829,12 +1824,9 @@
 							$this->line_order(true, 'DESC');
 						} elseif ($ranktouse > 0 && $ranktouse <= count($this->lines)) {
 							// Update all rank of all other lines starting from the same $ranktouse
-							foreach ($this->lines as $tmpline) {
-								if ($tmpline->rang >= $ranktouse) {
-									if (!empty($tmpline->id)) {
-										$this->updateRangOfLine($tmpline->id, $tmpline->rang + 1);
-									}
-								}
+							$linecount = count($this->lines);
+							for ($ii = $ranktouse; $ii <= $linecount; $ii++) {
+								$this->updateRangOfLine($this->lines[$ii - 1]->id, $ii + 1);
 							}
 						}
 

########## commande/class/orderline.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/commande/class/orderline.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/commande/class/orderline.class.php	2025-06-27 11:43:39.995667000 +0000
@@ -37,7 +37,6 @@
  */
 
 require_once DOL_DOCUMENT_ROOT.'/core/class/commonobjectline.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/commonorder.class.php';		// Because the CommonOrderLine is still in commonorder.class.php file
 require_once DOL_DOCUMENT_ROOT.'/margin/lib/margins.lib.php';
 
 
@@ -151,42 +150,6 @@
 	 */
 	public $packaging;
 
-
-	// BEGIN MODULEBUILDER PROPERTIES
-	/**
-	 * @var array<string,array{type:string,label:string,enabled:int<0,2>|string,position:int,notnull?:int,visible:int<-6,6>|string,alwayseditable?:int<0,1>,noteditable?:int<0,1>,default?:string,index?:int,foreignkey?:string,searchall?:int<0,1>,isameasure?:int<0,1>,css?:string,csslist?:string,help?:string,showoncombobox?:int<0,4>,disabled?:int<0,1>,arrayofkeyval?:array<int|string,string>,autofocusoncreate?:int<0,1>,comment?:string,copytoclipboard?:int<1,2>,validate?:int<0,1>,showonheader?:int<0,1>}>  Array with all fields and their property. Do not use it as a static var. It may be modified by constructor.
-	 */
-	public $fields = array(
-		'rowid' => array('type' => 'integer', 'label' => 'TechnicalID', 'enabled' => 1, 'visible' => -1, 'notnull' => 1, 'position' => 10),
-		'ref' => array('type' => 'varchar(50)', 'label' => 'Ref', 'enabled' => 1, 'visible' => -1, 'showoncombobox' => 1, 'position' => 15, 'searchall' => 1),
-		'ref_ext' => array('type' => 'varchar(255)', 'label' => 'RefExt', 'enabled' => 1, 'visible' => 0, 'position' => 20),
-		'ref_customer' => array('type' => 'varchar(50)', 'label' => 'RefCustomer', 'enabled' => 1, 'visible' => -1, 'position' => 25, 'searchall' => 1),
-		'entity' => array('type' => 'integer', 'label' => 'Entity', 'default' => '1', 'enabled' => 1, 'visible' => -2, 'notnull' => 1, 'position' => 30, 'index' => 1),
-		'tms' => array('type' => 'timestamp', 'label' => 'DateModification', 'enabled' => 1, 'visible' => -1, 'notnull' => 1, 'position' => 35),
-		'datec' => array('type' => 'datetime', 'label' => 'DateCreation', 'enabled' => 1, 'visible' => -1, 'position' => 40),
-		'fk_commande' => array('type' => 'integer:Commande:commande/class/commande.class.php', 'label' => 'Order', 'enabled' => 'isModEnabled("societe")', 'visible' => -1, 'notnull' => 1, 'position' => 70),
-		'fk_projet' => array('type' => 'integer:Project:projet/class/project.class.php:1:(fk_statut:=:1)', 'label' => 'Project', 'enabled' => "isModEnabled('project')", 'visible' => -1, 'position' => 75),
-		'fk_product' => array('type' => 'integer:Product:product/class/product.class.php:1', 'label' => 'ProductOrService', 'enabled' => "isModEnabled('product') || isModEnabled('service')", 'visible' => -1, 'position' => 76),
-		//'fk_commercial_signature' => array('type' => 'integer:User:user/class/user.class.php', 'label' => 'SaleRepresentative Signature', 'enabled' => 1, 'visible' => -1, 'position' => 80),
-		//'fk_commercial_suivi' => array('type' => 'integer:User:user/class/user.class.php', 'label' => 'SaleRepresentative follower', 'enabled' => 1, 'visible' => -1, 'position' => 85),
-		'fk_user_author' => array('type' => 'integer:User:user/class/user.class.php', 'label' => 'UserAuthor', 'enabled' => 1, 'visible' => -1, 'notnull' => 1, 'position' => 90),
-		'total_ht' => array('type' => 'double(24,8)', 'label' => 'TotalHT', 'enabled' => 1, 'visible' => -1, 'position' => 125, 'isameasure' => 1),
-		'total_tva' => array('type' => 'double(24,8)', 'label' => 'VAT', 'enabled' => 1, 'visible' => -1, 'position' => 130, 'isameasure' => 1),
-		'localtax1' => array('type' => 'double(24,8)', 'label' => 'LocalTax1', 'enabled' => 1, 'visible' => -1, 'position' => 135, 'isameasure' => 1),
-		'localtax2' => array('type' => 'double(24,8)', 'label' => 'LocalTax2', 'enabled' => 1, 'visible' => -1, 'position' => 140, 'isameasure' => 1),
-		'total_ttc' => array('type' => 'double(24,8)', 'label' => 'TotalTTC', 'enabled' => 1, 'visible' => -1, 'position' => 145, 'isameasure' => 1),
-		'note_public' => array('type' => 'html', 'label' => 'NotePublic', 'enabled' => 1, 'visible' => 0, 'position' => 105, 'searchall' => 1),
-		'note_private' => array('type' => 'html', 'label' => 'NotePrivate', 'enabled' => 1, 'visible' => 0, 'position' => 110, 'searchall' => 1),
-		'model_pdf' => array('type' => 'varchar(255)', 'label' => 'Model pdf', 'enabled' => 1, 'visible' => 0, 'position' => 115),
-		'import_key' => array('type' => 'varchar(14)', 'label' => 'ImportId', 'enabled' => 1, 'visible' => -2, 'position' => 120),
-		'extraparams' => array('type' => 'varchar(255)', 'label' => 'Extraparams', 'enabled' => 1, 'visible' => -1, 'position' => 125),
-		'fk_user_modif' => array('type' => 'integer:User:user/class/user.class.php', 'label' => 'UserModif', 'enabled' => 1, 'visible' => -2, 'notnull' => -1, 'position' => 135),
-		'last_main_doc' => array('type' => 'varchar(255)', 'label' => 'Last main doc', 'enabled' => 1, 'visible' => -1, 'position' => 140),
-		'statut' => array('type' => 'smallint(6)', 'label' => 'Statut', 'enabled' => 1, 'visible' => -1, 'position' => 500, 'notnull' => 1, 'arrayofkeyval' => array(0 => 'Draft', 1 => 'Validated', 2 => 'Closed'))
-	);
-	// END MODULEBUILDER PROPERTIES
-
-
 	/**
 	 *      Constructor
 	 *

########## commande/customer.php
